Google Web Toolkit
Search Google Code:

# Class ClickListenerCollection

public class ClickListenerCollection
extends ArrayList
// Superclass of `DelegatingClickListenerCollection`
A helper class for implementers of the SourcesClickEvents interface. This subclass of ArrayList assumes that all objects added to it will be of type ClickListener.

## Methods

fireClick(Widget) | Fires a click event to all listeners.

## Method Detail

### fireClick

public void fireClick(Widget sender)
Fires a click event to all listeners.

#### Parameters

sender
  the widget sending the event.